## paramcoq 1.1.3+coq8.18

=== test-suite/Makefile ===
# -*- Makefile -*-
# This Makefile assumes "make" has been previously run in the parent folder

COQBIN?=$(dir $(shell which coqtop))
COQC := $(COQBIN)coqc
PARAMLIBS := -I ../src
EXAMPLES := example.v ListQueue.v features.v wadler.v bug.v bug2.v bug3.v bug4.v bug5.v dummyFix.v exmNotParametric.v

all:: Parametricity.vo

examples:: $(EXAMPLES:.v=.vo)

ListQueue.vo: ListQueue.v Parametricity.vo
example.vo: example.v Parametricity.vo
features.vo: features.v Parametricity.vo
wadler.vo: wadler.v Parametricity.vo
bug.vo: bug.v Parametricity.vo
bug%.vo: bug%.v Parametricity.vo

# native eats too much memory, see eg https://gitlab.com/coq/coq/-/jobs/1144081161
%.vo: %.v
	$(COQC) $(PARAMLIBS) -native-compiler no $<

ide:: Parametricity.vo
	$(COQBIN)coqide -debug $(PARAMLIBS) $(EXAMPLES)

top:: Parametricity.vo
	$(COQBIN)coqtop $(PARAMLIBS)

clean::
	rm -f *.vo *.glob *.d

## paramcoq 1.1.3

=== debian/changelog ===
paramcoq (1.1.3-7) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Jun 2022 22:47:19 +0200

paramcoq (1.1.3-6) unstable; urgency=medium

  * Add Breaks for the package split (no Replace because
  they don't!) (Closes: #1012479).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 08 Jun 2022 09:49:19 +0200

paramcoq (1.1.3-5) unstable; urgency=medium

  * Break the package in several binary packages so
  the future dh_coq can work its magic.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Jun 2022 08:49:02 +0200

paramcoq (1.1.3-4) unstable; urgency=medium

  * Re-upload because of ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 01 Jun 2022 15:19:14 +0200

paramcoq (1.1.3-3) unstable; urgency=medium

  * Re-upload because of ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 May 2022 19:17:11 +0200

paramcoq (1.1.3-2) unstable; urgency=medium

  * Add dates in d/copyright.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 May 2022 21:55:41 +0200

paramcoq (1.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1010852)

 -- Julien Puydt <jpuydt@debian.org>  Wed, 11 May 2022 17:02:41 +0200

=== debian/control ===
Source: paramcoq
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq, debhelper-compat (= 13), dh-coq, dh-ocaml, libcoq-ocaml-dev, libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/paramcoq
Vcs-Git: https://salsa.debian.org/ocaml-team/paramcoq.git
Homepage: https://github.com/coq-community/paramcoq/

Package: libcoq-paramcoq
Architecture: any
Depends: ${coq:Depends},
         libcoq-paramcoq-ocaml (= ${binary:Version}),
         ${misc:Depends}
Provides: ${coq:Provides}
Description: Coq plugin to generate parametricity statements
 This package provides a plugin for Coq to generate
 parametricity statements, typically used in data refinement
 proofs.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides the Coq plugin itself.

Package: libcoq-paramcoq-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Breaks: libcoq-paramcoq (<= 1.1.3-4)
Description: Coq plugin to generate parametricity statements (runtime)
 This package provides a plugin for Coq to generate
 parametricity statements, typically used in data refinement
 proofs.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides runtime libraries for the paramcoq plugin.

Package: libcoq-paramcoq-ocaml-dev
Architecture: any
Depends: libcoq-paramcoq-ocaml (= ${binary:Version}),
         ${misc:Depends},
         ${ocaml:Depends}
Provides: ${ocaml:Provides}
Breaks: libcoq-paramcoq (<= 1.1.3-4)
Description: Coq plugin to generate parametricity statements (devel)
 This package provides a plugin for Coq to generate
 parametricity statements, typically used in data refinement
 proofs.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides runtime libraries to develop with
 the paramcoq plugin.

=== debian/tests/control ===
Tests: upstreamtestsuite
Restrictions: allow-stderr
Depends: @

=== debian/watch ===
version=4
https://github.com/coq-community/paramcoq/tags .*/v?([\d\.]+)\+coq[\d\.]+.tar.gz

## paramcoq 1.1.3+coq8.16

=== debian/changelog ===
paramcoq (1.1.3+coq8.16-3) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 09:50:27 +0100

paramcoq (1.1.3+coq8.16-2) unstable; urgency=medium

  * Unbreak autopkgtest (Closes: #1019571).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Sep 2022 08:57:59 +0200

paramcoq (1.1.3+coq8.16-1) unstable; urgency=medium

  * Rewrite d/watch to see new upstreams.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 18:29:49 +0200

=== debian/control ===
Source: paramcoq
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq, debhelper-compat (= 13), dh-coq, dh-ocaml, libcoq-core-ocaml-dev, libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/paramcoq
Vcs-Git: https://salsa.debian.org/ocaml-team/paramcoq.git
Homepage: https://github.com/coq-community/paramcoq/

Package: libcoq-paramcoq
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: Coq plugin to generate parametricity statements
 This package provides a plugin for Coq to generate
 parametricity statements, typically used in data refinement
 proofs.
 .
 Coq is a proof assistant for higher-order logic.

## paramcoq 1.1.3+coq8.17

=== debian/changelog ===
paramcoq (1.1.3+coq8.17-2) unstable; urgency=medium

  * Make the package depend on abi-versioned libcoq-stdlib (Closes: #1041869).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 25 Jul 2023 10:02:50 +0200

paramcoq (1.1.3+coq8.17-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.
  * Add lintian overrides for false positives.
  * Bump Coq version depend.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:36:08 +0200

## paramcoq 1.1.3+coq8.18

=== debian/changelog ===
paramcoq (1.1.3+coq8.18-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:15:42 +1100

paramcoq (1.1.3+coq8.18-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:16:25 +0000

paramcoq (1.1.3+coq8.18-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1048381).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 16:33:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: paramcoq
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq, debhelper-compat (= 13), dh-coq, dh-ocaml, libcoq-core-ocaml-dev, libcoq-stdlib
 Vcs-Browser: https://salsa.debian.org/ocaml-team/paramcoq

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	make clean
	rm -f src/META.coq-paramcoq

override_dh_auto_install:
	DESTDIR=debian/tmp make install

=== debian/tests/control ===
Tests: upstreamtestsuite
Restrictions: allow-stderr
Depends: @, coq

=== debian/watch ===
version=4
https://github.com/coq-community/paramcoq/tags .*/v?([\d\.]+\+coq[\d\.]+).tar.gz

## paramcoq 1.1.3+coq8.19

=== test-suite/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # native eats too much memory, see eg https://gitlab.com/coq/coq/-/jobs/1144081161
 %.vo: %.v
-	$(COQC) $(PARAMLIBS) -native-compiler no $<
+	$(COQC) $(PARAMLIBS) -R . "" -native-compiler no $<
 
 ide:: Parametricity.vo
 	$(COQBIN)coqide -debug $(PARAMLIBS) $(EXAMPLES)

=== debian/changelog ===
paramcoq (1.1.3+coq8.19-2build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 16:35:08 +0200

paramcoq (1.1.3+coq8.19-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2024 10:08:20 +0200

paramcoq (1.1.3+coq8.19-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 05:39:18 +0200

paramcoq (1.1.3+coq8.19-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 24 Feb 2024 09:57:47 +0100

## paramcoq 1.1.3+coq8.20

=== test-suite/stdlib_R/Makefile ===
COQSRC=../../../coq/
COQPLUGIN=../../src
TOOL=bash ../../tools/coqdep.sh 

all: Makefile.gen
	make -f Makefile.gen

Makefile.gen graph.dot: 
	$(TOOL) $(COQSRC)

graph.png: graph.dot
	dot -Tpng graph.dot -o graph.png

ide:
	$(COQSRC)/bin/coqide -I $(COQPLUGIN) *.v

clean: Makefile.gen
	make -f Makefile.gen clean
	rm -f Makefile.gen
	rm -f graph.dot graph.png
	rm -f stdlib_*.v

=== debian/changelog ===
paramcoq (1.1.3+coq8.20-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:51:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: paramcoq
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
